> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasproviderremotepcstatic.md).

# Add-RASProviderRemotePCStatic.md

## NAME

Add-RASProviderRemotePCStatic

## SYNOPSIS

Adds a Remote PC Static to a Provider.

## SYNTAX

\*\*Add-RASProviderRemotePCStatic \[[Id](#id-string)] *(uint)* -[MAC](#mac-string) *(string)* -[RemotePCStaticName](#remotepcstaticname-string) *(string)* \[[Subnet](#subnet-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASProviderRemotePCStatic \[-[InputObject](#inputobject)] *(*[*RemotePCStaticProvider*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/remotepcstaticprovider.md)*)* -[MAC](#mac-string) *(string)* -[RemotePCStaticName](#remotepcstaticname-string) *(string)* \[[Subnet](#subnet-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASProviderRemotePCStatic \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[MAC](#mac-string) *(string)* -[RemotePCStaticName](#remotepcstaticname-string) *(string)* \[[Subnet](#subnet-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Adds a Remote PC Static to a Provider.

## PARAMETERS

## RemotePCStaticName (string)

Remote PC Static Name.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MAC (string)

Remote PC Static MAC Address.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Subnet (string)

Remote PC Static Subnet. Default: 0.0.0.0

```
        Required?                    false

        Position?                    named

        Default value                0.0.0.0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Server (string)

The name of the target Provider server.

This must be the actual server name used in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified Provider server.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the Provider server to modify. To obtain the ID, use the Get-RASProvider cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject

([RemotePCStaticProvider](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/remotepcstaticprovider.md)) An object representing the Provider server to modify.

To obtain the object, use the Get-RASProvider cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[RemotePCStaticProvider](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/remotepcstaticprovider.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASProviderRemotePCStatic -Id 1 -RemotePCStaticName Test0 -MAC 00-11-22-33-44-00

Adds a Remote PC Static Test0 to the Remote PC Static List of the Provider with Id 1.

## RELATED LINKS

* [Get-RASProvider](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasprovider.md)
* [Set-RASProvider](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasprovider.md)
* [Get-RASProviderRemotePCStatic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasproviderremotepcstatic.md)
* [Set-RASProviderRemotePCStatic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasproviderremotepcstatic.md)
* [Remove-RASProviderRemotePCStatic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasproviderremotepcstatic.md)
* [Invoke-RASImportProviderRemotePCStatic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasimportproviderremotepcstatic.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasproviderremotepcstatic.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
